<?xml version="1.0" encoding="GB2312"?>
<Config>
<!--  product instruction
    because of the various orientation of sensor, there're some differences
    of gyro and ois between MHA and VV. So identify the target product for algo
    0 represents MHA&LON
    1 represents VV
    2 represents STANF
    3 represents AB
    5 represents EMILY
    6 represents CHARLOTTE
    7 represents NEO
    8 represents COL BKL PCT
    9 represents Hima
    10 represents Laya
    12 represents YAL
    14 represents LION
    15 represents TAHITI
    If there're more products, just add to this list
    rollingShutterTime has to be set real rollingShutterTime * 1000
    minLensPos has to be set real minLensPos * 1000
    maxLensPos has to be set real maxLensPos * 1000
    minCode has to be set real minCode * 1000
    maxCode has to be set real maxCode * 1000
    gyro_offset has to be set real gyro_offset * 1000
    <rollingShutterTime value="24118"/>
    <gyro_offset_st value="700"/>
-->
    <productId value="15"/>
    <zoomCorrection value="1"/>
    <useSensorHub value="1"/>
    <useGSensor value="1"/>
    <useOisSensor value="1"/>
    <fiveAxisStable value="0"/>
    <zoomCrcEnableId value="2"/>
    <oisCameraId value="8"/>

    <needFourKStab value="1"/>
    <needHighFpsStab value="1"/>
    <frameRatio value="120"/>
    <frameRatio4K value="120"/>
    <frameRatioDefault value="120"/>

    <enableForkStreamIn4K value="1"/>
    <previewHwVideoStabLatency value="0"/>
    <recordHwVideoStabLatency value="16"/>
    <maxBufferNumber value="16"/>
    <needOisOff value="1"/>
    <regionLimited value="0"/>
    <rollingShutterTime value="20206"/>
    <fourkRearRst       value="20316"/>
    <highfpsRearRst     value="11346"/>
    <normalRearRst      value="20316"/>
    <fullScreenRearRst  value="11901"/>
    <fullScreenRearRst21  value="10768"/>


    <fourkTeleRearRst       value="20758"/>
    <normalTeleRearRst      value="20758"/>
    <highfpsTeleRearRst     value="10711"/>
    <fullScreenTeleRearRst  value="16972"/>
    <fullScreenTeleRearRst21  value="15594"/>

    <fourkWideRearRst       value="25663"/>
    <normalWideRearRst      value="25663"/>
    <highfpsWideRearRst     value="10711"/>
    <fullScreenWideRearRst  value="14918"/>
    <fullScreenWideRearRst21  value="14035"/>

    <fourkFrontRst      value="21070"/>
    <highfpsFrontRst    value="10020"/>
    <normalFrontRst     value="21070"/>
    <minLensPos value="5680"/>
    <maxLensPos value="6060"/>
    <minCode    value="249000"/>
    <maxCode    value="867000"/>
    <gyro_offset             value="400"/>
    <gyro_offset_st          value="450"/>
    <gyro_offset_inven       value="500"/>
    <gyro_offset_bosch       value="550"/>
    <gyro_offset_st_front    value="400"/>
    <gyro_offset_inven_front value="400"/>
    <gyro_offset_bosch_front value="650"/>
    <noiseReduceOn value="0"/>
    <tnrEnable value="1"/>
    <tnrSigma value="32000"/>
    <tnrAlpha value="500"/>
    <tnrBeta value="500"/>
    
    <isPassByPanningFaceCorrect value="1"/>
    <heatEscapeMode value="1"/>
    <fourKPreStabEnable value="0"/>
    
    <fullScreenWidth value="2336"/>
    <fullScreenHeight value="1080"/>
    <FHD21Width1080P value="2560"/>
    <mFHD21Height1080P value="1080"/>
    <FHD21Width720P value="1680"/>
    <mFHD21Height720P value="720"/>
</Config>
